### File

`packages/ecl/components/ecl-card/ecl-card-picture.directive.ts`

### Description

Directive for the image element used in ECL Card. Applies the ECL-specific image class for card usage.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `img[eclCardImage]`

### Index

###### Properties
Public el
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Returns the CSS classes to apply to the image element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public el
Type : `ElementRef`

### Accessors

cssClasses
get `cssClasses()`
Returns the CSS classes to apply to the image element. Returns : `string`

# results matching ""

# No results matching ""